Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.tools.schemaframework
Class ObjectVarrayDefinition

`java.lang.Object
oracle.toplink.tools.schemaframework.DatabaseObjectDefinition
oracle.toplink.tools.schemaframework.VarrayDefinition
oracle.toplink.tools.schemaframework.ObjectVarrayDefinition`

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public class ObjectVarrayDefinition
extends VarrayDefinition

Purpose: Allow for creation of object varray type.

See Also:
  Serialized Form

Field Summary

Fields inherited from class oracle.toplink.tools.schemaframework.DatabaseObjectDefinition
`name, qualifier`

Constructor Summary
`ObjectVarrayDefinition()`

Method Summary
`boolean` | `isNullAllowed()` PUBLIC: Return if the varray collection is allowed NULL or not
`void` | `setIsNullAllowed(boolean isNullAllowed)` PUBLIC: Set if the varray collection is allowed NULL or not

Methods inherited from class oracle.toplink.tools.schemaframework.VarrayDefinition
`getSize, getType, getTypeName, getTypeSize, setSize, setType, setTypeName, setTypeSize`

Methods inherited from class oracle.toplink.tools.schemaframework.DatabaseObjectDefinition
`clone, getName, getQualifier, setName, setQualifier, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ObjectVarrayDefinition

    public ObjectVarrayDefinition()

Method Detail

### isNullAllowed

    public boolean isNullAllowed()

  PUBLIC: Return if the varray collection is allowed NULL or not

### setIsNullAllowed

    public void setIsNullAllowed(boolean isNullAllowed)

  PUBLIC: Set if the varray collection is allowed NULL or not

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD